import FileSection from "@/feature/messenger/components/file-sidebar/FileSection";
import Messages from "@/feature/messenger/components/conversation/Messages";
import DragandDrop from "@/feature/messenger/components/drag_and_drop/DragAndDrog";
import useDragAndDropStore from "@/feature/messenger/store/useDragAndDropStore";
import useConfigChatStore from "@/feature/messenger/store/chat_store/useConfigChatStore";
import useConversationsStore from "@/feature/messenger/store/chat_store/useConversationsStore";
import useMessagesStore from "@/feature/messenger/store/chat_store/useMessagesStore";
import Loading from "../../ui/loading/Loading";

const ChatWindow = () => {
  const handleDragEnter = useDragAndDropStore(state => state.handleDragEnter);
  const permisions = useConfigChatStore(state => state.permisions);
  const selectedConversation = useConversationsStore(state => state.selectedConversation);
  const permissionFile = permisions.adjuntar_archivos;
  const loading = useMessagesStore(state => state.loading);
  return (
    <div className="w-full h-full overflow-hidden relative"
      onDragEnter={(e) => handleDragEnter(e,selectedConversation,permissionFile)} 
      onDragLeave={(e) => handleDragEnter(e,selectedConversation,permissionFile)}
      onDragOver={(e) => handleDragEnter(e,selectedConversation,permissionFile)}
    >
      {/* Chat Window */}
      <div className="w-full h-full">
        <Messages />
      </div>
      {/* Drag and drop */}
      <DragandDrop />
      <FileSection />
      {/*loading */}
      {loading && <Loading />}
    </div>
  );
};

export default ChatWindow;
